Page MenuHomeMiraheze

Some configuration settings edits
Closed, ResolvedPublic

Description

Hello everyone i want to change the following config settings that are not available at manage wiki:

  • $wgRestrictDisplayTitle = "false"
  • $wgExternalLinkTarget = "_blank"
  • I want so auto confirmed users are at least 5 days old and have made at least 25 edits are auto confirmed

I want also to edit the social profile extension:

$wgUserStatsPointValues['edit'] = 50; Points awarded on a mainspace edit
$wgUserStatsPointValues['vote'] = 10;
Points awarded for voting for an article
$wgUserStatsPointValues['comment'] = 0; Points awarded for leaving a comment
$wgUserStatsPointValues['comment_plus'] = 40;
Points awarded if your comment gets a thumbs up
$wgUserStatsPointValues['comment_ignored'] = -10; Points awarded if another user ignores your comments
$wgUserStatsPointValues['opinions_created'] = 0;
Points awarded for writing a blog article
$wgUserStatsPointValues['opinions_pub'] = 10; Points awarded for having that article hit the "Blogs" page
$wgUserStatsPointValues['referral_complete'] = 0;
Points awarded for recruiting a new user
$wgUserStatsPointValues['friend'] = 100; Points awarded for adding a friend
$wgUserStatsPointValues['foe'] = 0;
Points awarded for adding a foe
$wgUserStatsPointValues['gift_rec'] = 25; Points awarded for receiving a gift
$wgUserStatsPointValues['gift_sent'] = 10;
Points awarded for giving a gift
$wgUserStatsPointValues['points_winner_weekly'] = 0; Points awarded for having the most points for a week
$wgUserStatsPointValues['points_winner_monthly'] = 0;
Points awarded for having the most points for a month
$wgUserStatsPointValues['user_image'] = 1000; Points awarded for adding your first avatar
$wgUserStatsPointValues['poll_vote'] = 10;
Points awarded for taking a poll
$wgUserStatsPointValues['quiz_points'] = 50; Points awarded for answering a quiz question
$wgUserStatsPointValues['quiz_created'] = 20;
Points awarded for creating a quiz question
$wgNamespacesForEditPoints = [ 0 ]; // Array of namespaces that can earn you points. Use numerical keys. Default is 0 -- only main namespace edits can earn a user points.

The chat extension want I to edit also:
$wgChatKicks ="true"
$wgChatLinkUsernames ="true"

Event Timeline

Psl631 created this task.Feb 3 2019, 18:21
Psl631 added a comment.Feb 24 2019, 06:25

@Void Excuse me can you do this for me :) i have waited for many days for this to be done can someone do this :-)

Void claimed this task.Feb 28 2019, 02:23

Sorry for the delay! Working on it now!

Void closed this task as Resolved.Feb 28 2019, 15:48